=== debian/changelog ===
libdbusmenu-lxqt (0.1.0-1~exp1) experimental; urgency=medium

  [ S. 7 ]
  * Initial release. (Closes:#1082577)

  [ Andrew Lee (李健秋) ]
  * debian/control: improve package descriptions.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 25 Sep 2024 18:06:52 +0200
