=== debian/changelog ===
libdbusmenu-lxqt (0.2.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/salsa-ci.yml: remove unused salsa config.

  [ Andrew Lee (李健秋) ]
  * New upstream version 0.2.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 22:20:14 +0100

libdbusmenu-lxqt (0.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 25 Nov 2024 13:25:14 +0100

libdbusmenu-lxqt (0.1.0-1~exp2) experimental; urgency=medium

  * debian/control: build-deps on qt6-base-dev (>= 6.7.2).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Oct 2024 13:08:36 +0200
