=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               lxqt-build-tools (>= 2.0.0+really2.0.0~),
-               qt6-base-dev,
+               lxqt-build-tools (>= 2.1.0~),
+               qt6-base-dev (>= 6.7.2),
                pkgconf
 Standards-Version: 4.7.0
 Homepage: https://github.com/lxqt/libdbusmenu-lxqt
