=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_test:
	# Try to fix when upload to unstable.
	#QT_QPA_PLATFORM=offscreen dh_auto_test
