=== debian/changelog ===
libdbusmenu-lxqt (0.3.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 02 May 2025 18:29:51 -0500

libdbusmenu-lxqt (0.2.0-0ubuntu2) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 15:52:30 -0600

libdbusmenu-lxqt (0.2.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Update symbols from build logs.
  * Make the package Lintian-clean.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:31:54 -0600

libdbusmenu-lxqt (0.1.0-0ubuntu1) oracular; urgency=medium

  * Initial upload.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:17:04 -0500
