## libdbusmenu-lxqt 0.3.0+fix

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,6 @@
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/../src
     ${CMAKE_CURRENT_BINARY_DIR}/../src
-    ${CMAKE_CURRENT_BINARY_DIR}
-    ${Qt6Test_INCLUDE_DIRS}
-    ${Qt6DBus_INCLUDE_DIRS}
     )
 
 # Macros to create "check" target
