=== debian/changelog ===
libdbusmenu-lxqt (0.3.0+fix-1) unstable; urgency=medium

  * Fix broken upstream tarball 0.3.0.
  * d/rules: Remove blank line.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 14 Aug 2025 10:29:39 +0800

libdbusmenu-lxqt (0.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 20:59:40 +0800

libdbusmenu-lxqt (0.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.3.0. (Closes: #1097180)
  * debian/control: Added myself as uploader.
  * debian/control: Bumped the version of lxqt-build-tools to 2.2.1.
  * debian/copyright: Added myself.
  * debian/control: Bumped the standards version to 4.7.2.
  * debian/control: Fixed typo protocal-protocol.
  * debian/changelog: Fixed lintian info hardening-no-bindnow.
  * debian/salsa-ci.yml: Temporarily disabled reprotest due to lack of experimental support.

 -- Joel Orón Valiente <moded3v@gmail.com>  Thu, 17 Jul 2025 23:15:35 +0200
