=== debian/control ===
Source: libdbusmenu-lxqt
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Joel Orón Valiente <moded3v@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               lxqt-build-tools (>= 2.2.1~),
               qt6-base-dev (>= 6.7.2),
               pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/lxqt/libdbusmenu-lxqt
Vcs-Browser: https://salsa.debian.org/lxqt-team/libdbusmenu-lxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/libdbusmenu-lxqt.git

Package: libdbusmenu-lxqt0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: DBusMenu protocol implementation for lxqt
 This library provides DBusMenu protocol implementation for lxqt.
 .
 DBusMenu protocol passes a menu structure across DBus so that a program
 can create a menu simply without worrying about how it is displayed on
 the other side of the bus.

Package: libdbusmenu-lxqt-dev
Architecture: any
Section: libdevel
Depends: libdbusmenu-lxqt0 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: DBusMenu protocol implementation for lxqt - development files
 This library provides DBusMenu protocol implementation for lxqt.
 .
 This package provides development files.
